#ifndef PAIR_H /* <!-- guard */
#define PAIR_H

#include <stdint.h>

struct pair { const char *a, *b; };
struct pair pair(const char *const a, const char *const b);
int pair_to_natural(const char *, const char *, uint32_t *);
int pair_colon_to_minutes(const char *, const char *,
	const char *, const char *, uint32_t *);
int pair_hours_to_minutes(const char *h0, const char *const h1,
	const char *m0, const char *const m1, uint32_t *const n);
int pair_is_equal(struct pair, struct pair);
int pair_is_string(struct pair, const char *);
uint32_t pair_djb2(const struct pair p);

#endif /* guard --> */
